version: '3.3'
services:
  db-1:
    image: mysql:8
    restart: always
    environment:
      MYSQL_DATABASE: 'team_database'
      # So you don't have to use root, but you can if you like
      MYSQL_USER: 'vitospringboot'
      # You can use whatever password you like
      MYSQL_PASSWORD: 'Rahasia1234'
      # Password for root access
      MYSQL_ROOT_PASSWORD: 'password'
    ports:
      # <Port exposed> : <MySQL Port running inside container>
      - '3306:3306'
    expose:
      # Opens port 3306 on the container
      - '3306'
      # Where our data will be persisted
    volumes:
      - my-db:/var/lib/mysql
    networks:
      - my-network

  db-2:
    image: mysql:8
    restart: always
    environment:
      MYSQL_DATABASE: 'match_database'
      # So you don't have to use root, but you can if you like
      MYSQL_USER: 'vitospringboot'
      # You can use whatever password you like
      MYSQL_PASSWORD: 'Rahasia1234'
      # Password for root access
      MYSQL_ROOT_PASSWORD: 'password'
      MYSQL_TCP_PORT: '3307'
    ports:
      # <Port exposed> : <MySQL Port running inside container>
      - '3307:3307'
    expose:
      # Opens port 3306 on the container
      - '3307'
      # Where our data will be persisted
    volumes:
      - my-db:/var/lib/mysql\
    networks:
      - my-network

networks:
  my-network:
    driver: bridge

# Names our volume
volumes:
  my-db: